GET api/departmentapi/department/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
DepartmentViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| name | string |
None. |
|
| remark | string |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"contract_id": "2e10a49d-e675-4bdb-b819-2ef734178c79",
"delay_between_scans": 1,
"id": "46ae611e-ed4d-4429-82d2-8a51b0d1fd19",
"item_wash_max": 1,
"name": "sample string 5",
"remark": "sample string 6",
"selected_nameplate_id": "c7590ee5-1a5d-46a4-afe3-441751afc39b",
"selected_sticker_id": "39c89dee-bd22-492a-bae7-6b5a4b21ad1d"
}
application/xml, text/xml
Sample:
<department xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <contract_id>2e10a49d-e675-4bdb-b819-2ef734178c79</contract_id> <delay_between_scans>1</delay_between_scans> <id>46ae611e-ed4d-4429-82d2-8a51b0d1fd19</id> <item_wash_max>1</item_wash_max> <name>sample string 5</name> <remark>sample string 6</remark> <selected_nameplate_id>c7590ee5-1a5d-46a4-afe3-441751afc39b</selected_nameplate_id> <selected_sticker_id>39c89dee-bd22-492a-bae7-6b5a4b21ad1d</selected_sticker_id> </department>